Subject: Re: bug#18196: 24.4.50; crash when setting face background in terminal frame

From: [email-masked]
Date: Tue, 12 Aug 2014 13:00:27 +0900

> I meanwhile checked it in on trunk as revision#117679.

Hi.

I still have a problem regarding to tty frame height and toggling
menu-bar-mode even after the revision#117679 (actually, I have emacs
built from revision#117691).

The symptom is that the value of frame height in frame-parameter remain
unchanged after menu-bar-mode is toggled.  As a result, screen is drawed
wrong or incorrect scroll region is set when emacs is suspended (until,
for example, sending SIGWINCH by kill command or by changing terminal
size).

I guess change_frame_size needs to be called with updated
FRAME_MENU_BAR_LINES when menu-bar-mode is toggled.

If necessary, I'll file another bug report so please let me know.

enami.